> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kathan.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Assistant



## OpenAPI

````yaml api-reference/openapi.json get /assistants/{assistant_id}
openapi: 3.1.0
info:
  title: Kathan API
  description: Building a fundamentally new kind of world for Conversational AI.
  version: 2.0.1
servers:
  - url: https://api.staging.kathan.tech
    description: Staging
security: []
tags:
  - name: Assistants
    description: Create and manage AI voice agents. Configure voice, LLM, knowledge bases.
  - name: Phone Numbers
    description: Configure and attach phone numbers to assistants. Twilio & Vobiz.
  - name: Calls
    description: Call logs, recordings, and outbound call management.
  - name: Knowledge Bases
    description: Upload documents, create knowledge bases, attach to assistants.
  - name: Campaigns
    description: Create and run outbound campaigns. Attach recipient lists, start/pause.
  - name: Recipient Lists
    description: Contact lists for campaigns. Create from CSV, manage recipients.
  - name: Chat
    description: Text chat with assistants. Create sessions, send messages.
  - name: API Keys
    description: Create and manage API keys for authentication.
  - name: Organizations
    description: Organization and team management. Invites, members.
  - name: Credits
    description: Usage credits and billing.
  - name: Users
    description: User profile and account management.
paths:
  /assistants/{assistant_id}:
    get:
      tags:
        - Assistants
        - Assistants
      summary: Get Assistant
      operationId: get_assistant_assistants__assistant_id__get
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantPublic'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
          XUserId: []
components:
  schemas:
    AssistantPublic:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        icon:
          anyOf:
            - type: string
            - type: 'null'
          title: Icon
          default: 📞
        system_instruction:
          type: string
          title: System Instruction
        guardrails:
          type: string
          title: Guardrails
          default: ''
        first_message:
          anyOf:
            - type: string
            - type: 'null'
          title: First Message
        voice:
          $ref: '#/components/schemas/Voice'
        llm:
          $ref: '#/components/schemas/Llm'
        transcriber:
          $ref: '#/components/schemas/Transcriber'
        knowledge_base_ids:
          items:
            type: string
          type: array
          title: Knowledge Base Ids
          default: []
        phone_number_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number Id
        assistant_speaks_first:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Assistant Speaks First
        speech_settings:
          $ref: '#/components/schemas/SpeechSettings'
        long_term_memory:
          $ref: '#/components/schemas/LongTermMemoryConfig'
        short_term_memory:
          $ref: '#/components/schemas/ShortTermMemoryConfig'
        call_summary:
          $ref: '#/components/schemas/CallSummaryConfig'
        recording:
          $ref: '#/components/schemas/RecordingSettings'
        call_actions:
          $ref: '#/components/schemas/CallActionsConfig'
        machine_detection_timeout_seconds:
          anyOf:
            - type: integer
            - type: 'null'
          title: Machine Detection Timeout Seconds
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
        - system_instruction
        - voice
        - llm
        - transcriber
        - speech_settings
        - long_term_memory
        - short_term_memory
        - call_summary
        - recording
        - call_actions
      title: AssistantPublic
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Voice:
      properties:
        voice_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Voice Id
        tts_provider:
          type: string
          title: Tts Provider
          default: cartesia
        tts_model:
          type: string
          title: Tts Model
          default: sonic-3
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          default: en
        speed:
          type: number
          maximum: 1.5
          minimum: 0.6
          title: Speed
          default: 1
      type: object
      title: Voice
    Llm:
      properties:
        llm_provider:
          type: string
          title: Llm Provider
          default: openai
        model:
          type: string
          title: Model
          default: gpt-4o-mini
      type: object
      title: Llm
    Transcriber:
      properties:
        stt_provider:
          type: string
          title: Stt Provider
          default: deepgram
        stt_model:
          type: string
          title: Stt Model
          default: nova-3
        language:
          anyOf:
            - type: string
            - type: 'null'
          title: Language
          default: en
      type: object
      title: Transcriber
    SpeechSettings:
      properties:
        style:
          type: string
          enum:
            - professional
            - neutral
            - support
            - casual
            - sales
          title: Style
          default: neutral
        responsiveness:
          type: string
          enum:
            - instant
            - fast
            - balanced
            - patient
            - deliberate
          title: Responsiveness
          default: balanced
        interruptions:
          type: string
          enum:
            - 'off'
            - soft
            - 'on'
            - aggressive
          title: Interruptions
          default: 'on'
        emotions:
          type: string
          enum:
            - 'off'
            - subtle
            - natural
            - expressive
          title: Emotions
          default: natural
      type: object
      title: SpeechSettings
    LongTermMemoryConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        search_limit:
          type: integer
          title: Search Limit
          default: 5
        search_threshold:
          type: number
          title: Search Threshold
          default: 0.1
        system_prompt:
          type: string
          title: System Prompt
          default: |+
            Relevant, user-specific context from previous conversations:

      type: object
      title: LongTermMemoryConfig
    ShortTermMemoryConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        search_limit:
          type: integer
          title: Search Limit
          default: 3
      type: object
      title: ShortTermMemoryConfig
    CallSummaryConfig:
      properties:
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
      type: object
      title: CallSummaryConfig
    RecordingSettings:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: false
        stereo:
          type: boolean
          title: Stereo
          default: true
        mp3_enabled:
          type: boolean
          title: Mp3 Enabled
          default: true
      type: object
      title: RecordingSettings
    CallActionsConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: true
        allow_hangup:
          type: boolean
          title: Allow Hangup
          default: true
        allow_transfer:
          type: boolean
          title: Allow Transfer
          default: true
        hangup_triggers:
          items:
            type: string
          type: array
          title: Hangup Triggers
        transfer_triggers:
          items:
            type: string
          type: array
          title: Transfer Triggers
        transfer_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Transfer Number
        transfer_mode:
          type: string
          enum:
            - warm
            - cold
          title: Transfer Mode
          default: cold
        confirm_required:
          type: boolean
          title: Confirm Required
          default: true
        auto_hangup_silence_seconds:
          anyOf:
            - type: number
            - type: 'null'
          title: Auto Hangup Silence Seconds
        confirm_yes:
          items:
            type: string
          type: array
          title: Confirm Yes
        confirm_no:
          items:
            type: string
          type: array
          title: Confirm No
        webhook_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Webhook Url
        webhook_timeout_ms:
          type: integer
          title: Webhook Timeout Ms
          default: 3500
      type: object
      title: CallActionsConfig
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication.
    XUserId:
      type: apiKey
      in: header
      name: X-User-ID
      description: Required user id for API key requests.

````